DCMTK: DiRegister Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DiRegister Class Reference

Class to register color support to dcmimgle library. More...

Inheritance diagram for DiRegister:

## Public Member Functions
| DiRegister ()
| constructor
virtual | ~DiRegister ()
| destructor
virtual DiImage * | createImage (const DiDocument *docu, const EI_Status status, const EP_Interpretation photo)
| create color image representation
virtual DiMonoPixel * | createMonoImageData (const DiColorImage *image, const double red, const double green, const double blue)
| create monochrome pixel data from color image
Public Member Functions inherited from DiRegisterBase
| DiRegisterBase ()
| constructor, default
virtual | ~DiRegisterBase ()
| destructor

## Additional Inherited Members
Static Public Attributes inherited from DiRegisterBase
static DiRegisterBase * | Pointer
| global pointer to registered 'dcmimage' library

## Detailed Description

Class to register color support to dcmimgle library.

## Member Function Documentation

## ◆ createImage()

virtual DiImage * DiRegister::createImage | ( | const DiDocument * | docu,
|  | const EI_Status | status,
|  | const EP_Interpretation | photo )
| virtual

create color image representation

Parameters

  docu | pointer to dataset (encapsulated)
  status | image status
  photo | photometric interpretation

Returns
  pointer to new DiImage object (NULL if an error occurred)

Implements DiRegisterBase.

## ◆ createMonoImageData()

virtual DiMonoPixel * DiRegister::createMonoImageData | ( | const DiColorImage * | image,
|  | const double | red,
|  | const double | green,
|  | const double | blue )
| virtual

create monochrome pixel data from color image

Parameters

  image | pointer to color image
  red | coefficient by which the red component is weighted
  green | coefficient by which the green component is weighted
  blue | coefficient by which the blue component is weighted

Returns
  pointer to new DiImage object (NULL if an error occurred)

Implements DiRegisterBase.

The documentation for this class was generated from the following file:

- dcmimage/include/dcmtk/dcmimage/diregist.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1